Core

Classes (1 of 2)

- async_base ★
- basic_stream ★
- file
- file_mode
- file_posix
- file_stdio
- file_win32
- flat_stream ★
- iequal
- iless
- rate_policy_access ★
- saved_handler ★
- simple_rate_policy ★

Classes (2 of 2)

- span
- static_string
- stable_async_base ★
- string_param
- string_view
- tcp_stream ★
- unlimited_rate_policy ★

Constants

- condition ★
- error ★
- file_mode
- role_type ★

Functions

- allocate_stable ★
- async_detect_ssl ★
- beast_close_socket ★
- bind_front_handler ★
- bind_handler
- close_socket ★
- detect_ssl ★
- generic_category
- get_lowest_layer ★
- iequals
- to_static_string

Type Traits

- executor_type ★
- lowest_layer_type ★
- has_get_executor
- is_async_read_stream
- is_async_write_stream
- is_async_stream
- is_file
- is_sync_read_stream
- is_sync_stream
- is_sync_write_stream

SSL

- ssl_stream ★

Aliases

- errc
- error_category
- error_code
- error_condition
- system_category
- system_error

Concepts

- AsyncStream
- File
- RatePolicy ★
- Stream
- SyncStream

Buffers and Buffer-Oriented Operations

Classes

- basic_flat_buffer
- basic_multi_buffer
- buffered_read_stream
- buffers_adaptor
- buffers_cat_view
- buffers_prefix_view
- buffers_suffix
- flat_buffer
- flat_static_buffer
- flat_static_buffer_base
- multi_buffer
- static_buffer
- static_buffer_base

Functions

- buffer_bytes ★
- buffers_cat
- buffers_front
- buffers_prefix
- buffers_range ★
- buffers_range_ref ★
- buffers_to_string
- make_printable ★
- ostream
- read_size
- read_size_or_throw

Type Traits

- buffers_type ★
- buffers_iterator_type ★
- is_const_buffer_sequence ★
- is_mutable_buffer_sequence ★

Concepts

- BufferSequence
- DynamicBuffer

HTTP/1 | WebSocket
--- | ---

Classes (1 of 2)

- basic_chunk_extensions
- basic_dynamic_body
- basic_fields
- basic_file_body
- basic_parser
- basic_string_body
- buffer_body
- chunk_body
- chunk_crlf
- chunk_extensions
- chunk_header
- chunk_last
- dynamic_body
- empty_body
- fields
- file_body
- header
- message
- parser
- request
- request_header
- request_parser
- request_serializer
- response
- response_header
- response_parser
- response_serializer
- serializer

Classes (2 of 2)

- span_body
- string_body
- vector_body

Functions

- async_read
- async_read_header
- async_read_some
- async_write
- async_write_header
- async_write_some
- int_to_status
- make_chunk
- make_chunk_last
- obsolete_reason
- operator<<
- read
- read_header
- read_some
- string_to_field
- string_to_verb
- swap
- to_string
- to_status_class
- write
- write_header
- write_some

Constants

- error
- field
- status
- status_class
- verb

Type Traits

- is_body
- is_body_reader
- is_body_writer
- is_fields
- is_mutable_body_writer

Concepts

- Body
- BodyReader
- BodyWriter
- Fields
- FieldsWriter

RFC7230

- ext_list
- opt_token_list
- param_list
- token_list

Classes

- close_reason
- ping_data
- stream
- stream_base
- reason_string

Functions

- async_teardown
- is_upgrade
- seed_prng
- teardown

Options

- permessage_deflate
- decorator ★
- timeout ★

Constants

- close_code
- condition
- error
- frame_type

ZLib

Classes

- deflate_stream
- inflate_stream
- z_params

Functions

- deflate_upper_bound

Constants

- error
- Flush
- Strategy

Experimental

Classes

- http::icy_stream
- test::fail_count
- test::handler ★
- test::stream

Functions

- test::connect
- test::any_handler ★
- test::fail_handler ★
- test::success_handler ★

Constants

- test::error